import math

from OpenGL import GL

pull_factor = 0.2
pull_distance = 5

def draw(ship1, ship2):
	GL.glBegin(GL.GL_LINES)
	GL.glVertex2f(*ship1.position)
	GL.glVertex2f(*ship2.position)
	GL.glEnd()

def pull(ship1, ship2, time_passed):
	distancex = ship1.position[0]-ship2.position[0]
	distancey = ship1.position[1]-ship2.position[1]
	distance = math.sqrt(distancex*distancex + distancey*distancey)
	force = pull_factor * max(0, distance-pull_distance) / distance
	ship1.velocity[0] -= distancex * force
	ship1.velocity[1] -= distancey * force
	ship2.velocity[0] += distancex * force
	ship2.velocity[1] += distancey * force