import pygame
from OpenGL import GL

import screen
import server
import level
import sprite

class ServerScreen (screen.Screen):
	def __init__(self):
		super(ServerScreen,self).__init__()
		self.server = server.Server()
		self.label = sprite.SpriteImage.getTextSpriteImage("Press SPACE to start the game..", font_size = 24)
	
	def draw(self):
		GL.glPushMatrix()
		GL.glTranslatef(-400,-300,0)
		GL.glTranslatef((800-self.label.size[0])/2,480,0)
		sprite.set_color((1,1,1,1))
		self.label.draw()
		GL.glPopMatrix()
	
	def do_frame(self, time_passed):
		self.server.check_new_client()
	
	def start_level(self):
		self.server.stop_listening()
		self.server.send_start_game()
		self.next_level = level.Level("level1", self.server)
	
	def handle_event(self, event):
		if event.type == pygame.KEYDOWN:
			if event.key == pygame.K_SPACE:
				self.start_level()
